Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.misc.fsl.melodic.MelodicResults

class `mvpa2.misc.fsl.melodic.``MelodicResults`(path, fext='.nii.gz')

  Easy access to MELODIC output.

  Only important information is available (important as judged by the author).

  Methods

  `get_probmap`(ic) |
  `get_raw_tmodes`() |
  `get_thresh_zstat`(ic) |
  `get_tmodes`() |

  Reads all information from the given MELODIC output path.

  Methods

  `get_probmap`(ic) |
  `get_raw_tmodes`() |
  `get_thresh_zstat`(ic) |
  `get_tmodes`() |

  `extent`
  `get_probmap`(ic)
  `get_raw_tmodes`()
  `get_thresh_zstat`(ic)
  `get_tmodes`()
  `ic`
  `icstats`

    Per component statistics.

    The first two values (from a set of four per component) correspond to the explained variance of the component in the set of extracted components and two the total variance in the whole dataset.

  `mask`
  `nic`
  `path`
  `relvar_per_ic`
  `smodes`
  `tmodes`
  `truevar_per_ic`

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »